## org.eclipse.emf.ecore.xml.namespace.impl
Class XMLNamespaceDocumentRootImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.xml.namespace.impl.XMLNamespaceDocumentRootImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, XMLNamespaceDocumentRoot

    public class XMLNamespaceDocumentRootImpl

extends EObjectImpl
implements XMLNamespaceDocumentRoot

An implementation of the model object 'Document Root'.

The following features are implemented:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`
- `Base`
- `Id`
- `Lang`
- `Space`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected java.lang.String` `base` The cached value of the '`Base`' attribute
`protected static java.lang.String` `BASE_EDEFAULT` The default value of the '`Base`' attribute
`protected java.lang.String` `id` The cached value of the '`Id`' attribute
`protected static java.lang.String` `ID_EDEFAULT` The default value of the '`Id`' attribute
`protected java.lang.String` `lang` The cached value of the '`Lang`' attribute
`protected static java.lang.String` `LANG_EDEFAULT` The default value of the '`Lang`' attribute
`protected FeatureMap` `mixed` The cached value of the '`Mixed`' attribute list
`protected SpaceType` `space` The cached value of the '`Space`' attribute
`protected static SpaceType` `SPACE_EDEFAULT` The default value of the '`Space`' attribute
`protected boolean` `spaceESet` This is true if the Space attribute has been set
`protected EMap<java.lang.String,java.lang.String>` `xMLNSPrefixMap` The cached value of the '`XMLNS Prefix Map`' map
`protected EMap<java.lang.String,java.lang.String>` `xSISchemaLocation` The cached value of the '`XSI Schema Location`' map

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `XMLNamespaceDocumentRootImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getBase()`
`java.lang.String` `getId()`
`java.lang.String` `getLang()`
`FeatureMap` `getMixed()`
`SpaceType` `getSpace()`
`EMap<java.lang.String,java.lang.String>` `getXMLNSPrefixMap()`
`EMap<java.lang.String,java.lang.String>` `getXSISchemaLocation()`
`boolean` `isSetSpace()`
`void` `setBase(java.lang.String newBase)`
`void` `setId(java.lang.String newId)`
`void` `setLang(java.lang.String newLang)`
`void` `setSpace(SpaceType newSpace)`
`java.lang.String` `toString()`
`void` `unsetSpace()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### mixed

    protected FeatureMap mixed

  The cached value of the '`Mixed`' attribute list.

  See Also:
    `getMixed()`

### xMLNSPrefixMap

    protected EMap<java.lang.String,java.lang.String> xMLNSPrefixMap

  The cached value of the '`XMLNS Prefix Map`' map.

  See Also:
    `getXMLNSPrefixMap()`

### xSISchemaLocation

    protected EMap<java.lang.String,java.lang.String> xSISchemaLocation

  The cached value of the '`XSI Schema Location`' map.

  See Also:
    `getXSISchemaLocation()`

### BASE_EDEFAULT

    protected static final java.lang.String BASE_EDEFAULT

  The default value of the '`Base`' attribute.

  See Also:
    `getBase()`

### base

    protected java.lang.String base

  The cached value of the '`Base`' attribute.

  See Also:
    `getBase()`

### ID_EDEFAULT

    protected static final java.lang.String ID_EDEFAULT

  The default value of the '`Id`' attribute.

  See Also:
    `getId()`

### id

    protected java.lang.String id

  The cached value of the '`Id`' attribute.

  See Also:
    `getId()`

### LANG_EDEFAULT

    protected static final java.lang.String LANG_EDEFAULT

  The default value of the '`Lang`' attribute.

  See Also:
    `getLang()`

### lang

    protected java.lang.String lang

  The cached value of the '`Lang`' attribute.

  See Also:
    `getLang()`

### SPACE_EDEFAULT

    protected static final SpaceType SPACE_EDEFAULT

  The default value of the '`Space`' attribute.

  See Also:
    `getSpace()`

### space

    protected SpaceType space

  The cached value of the '`Space`' attribute.

  See Also:
    `getSpace()`

### spaceESet

    protected boolean spaceESet

  This is true if the Space attribute has been set.

Constructor Detail

### XMLNamespaceDocumentRootImpl

    protected XMLNamespaceDocumentRootImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EObjectImpl`

### getMixed

    public FeatureMap getMixed()

  Specified by:
    `getMixed` in interface `XMLNamespaceDocumentRoot`
  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `XMLNamespacePackage.getXMLNamespaceDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    public EMap<java.lang.String,java.lang.String> getXMLNSPrefixMap()

  Specified by:
    `getXMLNSPrefixMap` in interface `XMLNamespaceDocumentRoot`
  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `XMLNamespacePackage.getXMLNamespaceDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    public EMap<java.lang.String,java.lang.String> getXSISchemaLocation()

  Specified by:
    `getXSISchemaLocation` in interface `XMLNamespaceDocumentRoot`
  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `XMLNamespacePackage.getXMLNamespaceDocumentRoot_XSISchemaLocation()`

### getBase

    public java.lang.String getBase()

  Specified by:
    `getBase` in interface `XMLNamespaceDocumentRoot`
  Returns:
    the value of the 'Base' attribute.
  See Also:
    `XMLNamespaceDocumentRoot.setBase(String)`, `XMLNamespacePackage.getXMLNamespaceDocumentRoot_Base()`

### setBase

    public void setBase(java.lang.String newBase)

  Specified by:
    `setBase` in interface `XMLNamespaceDocumentRoot`
  Parameters:
    `newBase` - the new value of the 'Base' attribute.
  See Also:
    `XMLNamespaceDocumentRoot.getBase()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `XMLNamespaceDocumentRoot`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `XMLNamespaceDocumentRoot.setId(String)`, `XMLNamespacePackage.getXMLNamespaceDocumentRoot_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `XMLNamespaceDocumentRoot`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `XMLNamespaceDocumentRoot.getId()`

### getLang

    public java.lang.String getLang()

  Specified by:
    `getLang` in interface `XMLNamespaceDocumentRoot`
  Returns:
    the value of the 'Lang' attribute.
  See Also:
    `XMLNamespaceDocumentRoot.setLang(String)`, `XMLNamespacePackage.getXMLNamespaceDocumentRoot_Lang()`

### setLang

    public void setLang(java.lang.String newLang)

  Specified by:
    `setLang` in interface `XMLNamespaceDocumentRoot`
  Parameters:
    `newLang` - the new value of the 'Lang' attribute.
  See Also:
    `XMLNamespaceDocumentRoot.getLang()`

### getSpace

    public SpaceType getSpace()

  Specified by:
    `getSpace` in interface `XMLNamespaceDocumentRoot`
  Returns:
    the value of the 'Space' attribute.
  See Also:
    `SpaceType`, `XMLNamespaceDocumentRoot.isSetSpace()`, `XMLNamespaceDocumentRoot.unsetSpace()`, `XMLNamespaceDocumentRoot.setSpace(SpaceType)`, `XMLNamespacePackage.getXMLNamespaceDocumentRoot_Space()`

### setSpace

    public void setSpace(SpaceType newSpace)

  Specified by:
    `setSpace` in interface `XMLNamespaceDocumentRoot`
  Parameters:
    `newSpace` - the new value of the 'Space' attribute.
  See Also:
    `SpaceType`, `XMLNamespaceDocumentRoot.isSetSpace()`, `XMLNamespaceDocumentRoot.unsetSpace()`, `XMLNamespaceDocumentRoot.getSpace()`

### unsetSpace

    public void unsetSpace()

  Specified by:
    `unsetSpace` in interface `XMLNamespaceDocumentRoot`
  See Also:
    `XMLNamespaceDocumentRoot.isSetSpace()`, `XMLNamespaceDocumentRoot.getSpace()`, `XMLNamespaceDocumentRoot.setSpace(SpaceType)`

### isSetSpace

    public boolean isSetSpace()

  Specified by:
    `isSetSpace` in interface `XMLNamespaceDocumentRoot`
  Returns:
    whether the value of the 'Space' attribute is set.
  See Also:
    `XMLNamespaceDocumentRoot.unsetSpace()`, `XMLNamespaceDocumentRoot.getSpace()`, `XMLNamespaceDocumentRoot.setSpace(SpaceType)`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `BasicEObjectImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `BasicEObjectImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BasicEObjectImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.